package message;

import java.net.InetSocketAddress;

public class CancelMsg extends Message {

	public CancelMsg(byte[] context) {
		
		this.msgId = Message.CANCEL_MSG;
		
		this.msgContext = new byte[17];
		this.msgContext[3] = (byte)0X0D;
		this.msgContext[4] = (byte)0X08;
		int length = context.length;
		System.arraycopy(context, 0, this.msgContext, 5, length);
	}
	
	public CancelMsg(byte[] msgContext, InetSocketAddress address) {
		
		this.msgId = Message.CANCEL_MSG;
		this.address = address;
		this.msgContext = msgContext;
	}
	
	public final boolean equals(byte[] msgContext) {
		
		for(int i = 5; i < 13; i++) {
			if((this.msgContext[i] ^ msgContext[i]) != 0)
				return false;
		}
		return true;
	}
}
