package component;


public class Piece {
	
	public int pieceIndex;
	public int[] blockMap;
	public byte[] pieceContext = null;
	
	public Piece(int pieceIndex, int blockNumInPiece, byte[] pieceContext) {
		this.pieceIndex = pieceIndex;
		this.blockMap = new int[blockNumInPiece];
		this.pieceContext = pieceContext;
	}
	
	/*
	public Piece(int pieceIndex, int blockNumInPiece, int pieceLen) {
		this.pieceIndex = pieceIndex;
		this.blockMap = new int[blockNumInPiece];
		this.pieceContext = new byte[pieceLen];
	}
	//*/
	
	public boolean isPieceCompleted() {
		int length = this.blockMap.length;
		for(int i = 0; i < length; i++) {
			if(this.blockMap[i] != 1)
				return false;
		}
		return true;
	}
}
