package configuration;

public final class Config {
	
	public static final int MAX_CONNECTION = 80;
	
	public static final int MIN_CONNECTION = 5;
	
	public static final String IDENTIFIER = "BitTorrent protocol";
	
	public static final int NUMWANT = 50;
	
	public static final int BLOCK = 16 * 1024;
	
	public static final int BUFFER = 16 * 1024 + 13;
	
	public static final int MAX_READ_CACHE = 20;
	
	public static final int MAX_REQUEST_NUM = 10;
	
	public static final int MAX_WAITING_TIME = 5 * 1000;
	
	public static final long ALIVE_PERIOD = 2 * 60 * 1000;
	
	public static final int REGULAR_UNCHOKE_NUM = 4;
	
	public static final String PREFIX = "-BC0093-";
}
