package component;

import java.util.Random;
import java.net.InetAddress;
import java.net.UnknownHostException;

public class Client {
	
	public static final byte NORMAL = 0X01;
	
	// public static final byte ENDGAME = 0X02;
	
	public static final byte SEED = 0X03;
	
	public volatile byte state = Client.NORMAL;
	
	public volatile int downloaded = 0; //

	public volatile int uploaded = 0; //ϴ

	public volatile long left = 0; //
	
	public final int[] bitMap;
	
	public final byte[] bitfield; //ԼӵеķƬϢ,һֽ8λ8Ƭ,0ʾû
	
	public final String peerId;
	
	public String ip = null; //IP

	public final int port; //port
	
	private final int pieceNum;
		
	public Client(int pieceNum) {
		
		try {
			ip = (InetAddress.getLocalHost()).getHostAddress();
		} catch (UnknownHostException e) {
			e.printStackTrace();
		}
		
		///*
		Random r = new Random();
		int rp = r.nextInt(4000);
		this.port = 6000 + rp;
		//*/
		
		// this.peerId = "-BC0093-100000000000";
		
		String pre = "-BC0093-";
		String post = "";
		for (int i = 0; i < 12; i++) {
			int ri = r.nextInt(9);
			post += new Integer(ri).toString();
		}
		
		this.peerId = pre + post;
		
		this.bitMap = new int[pieceNum];
		
		this.pieceNum = pieceNum;
		int bitfieldLen = pieceNum / 8;
		if(pieceNum % 8 != 0) {
			bitfieldLen++;
		}
		this.bitfield = new byte[bitfieldLen];
	}
	
	public int getRarestIndex(byte[] neighborBitfield) {
		
		/*
		int richestValue = -1000;// piece-1000ӣԼҲ-1000
		int richestIndex = -1;
		int repeatNum = 1;
		
		int length = bitMap.length;
		for (int i = 0; i < length; i++) {
			int value = bitMap[i];
			
			if(value < -1) 
				continue;
			
			int bitIndex = i / 8;
			int bitOffset = i % 8;
			
			// ھӲpiece
			if (((neighborBitfield[bitIndex] << bitOffset) & 128) != 128)
				continue;
			
			if (value > richestValue) {
				richestValue = value;
				repeatNum = 1;
				richestIndex = i;
			} else if (value == richestValue) {
				repeatNum++;
				Random r = new Random();
				int rr = r.nextInt(repeatNum);
				if (rr != 0)
					continue;
				richestIndex = i;
			}
		}
		
		if (richestValue > -1)
			bitMap[richestIndex] = -1000;
		
		return richestIndex;
		//*/
		
		///*
		int rarestValue = 1000;// piece1000ӣԼҲ1000
		int rarestIndex = -1;
		int repeatNum = 1;
	
		int length = bitMap.length;
		for (int i = 0; i < length; i++) {
			int value = bitMap[i];
			
			if(value >= 1000) 
				continue;
			
			///*
			int bitIndex = i / 8;
			int bitOffset = i % 8;
			
			// ھӲpiece
			if (((neighborBitfield[bitIndex] << bitOffset) & 128) != 128)
				continue;
			//*/
			
			if (value < rarestValue) {
				rarestValue = value;
				repeatNum = 1;
				rarestIndex = i;
			} else if (value == rarestValue) {
				repeatNum++;
				Random r = new Random();
				int rr = r.nextInt(repeatNum);
				if (rr != 0)
					continue;
				rarestIndex = i;
			}
		}
		
		// ֵֿΪ1000һǶڶһЩûھûдƬ
		if (rarestValue < 1000)
			bitMap[rarestIndex] = 1000;
		
		return rarestIndex;
		//*/
	}
	
	///*
	public void updateBitMap(byte[] neighborBitfield) {
		int bitfieldLen = bitfield.length;
		for(int j = 0; j < bitfieldLen; j++) {
			if(bitMap[j] >= 1000)
				continue;
			
			int bitIndex = j / 8;
			int bitOffset = j % 8;
			
			if ((neighborBitfield[bitIndex] & (byte)(128 >> bitOffset)) == 0)
				continue;
			bitMap[j]++;
		}
	}
	//*/
	
	///*
	public void setBitfield(int pieceIndex) {
		int bitIndex = pieceIndex / 8;
		int bitOffset = pieceIndex % 8;
		bitfield[bitIndex] = (byte) ((bitfield[bitIndex] | (byte) (128 >> bitOffset)));
	}
	//*/
	
	public boolean isNewSeed() {
		
		if (this.state == Client.SEED)
			return false;
		
		for(int i = 0; i < pieceNum; i++) {
			int bitIndex = i / 8;
			int bitOffset = i % 8;
			
			if((bitfield[bitIndex] & (byte)(128 >> bitOffset)) == 0) {//
				return false;
			}
		}
		
		this.state = Client.SEED;
		return true;
	}
}
