package component;

import configuration.*;

public class FileInfo {

	public final int blockLen = Config.BLOCK; // block, ̶Ϊ16384

	public final int lastBlockLen; // һƬĳ

	public final int blockNum; // block

	public final int blockNumInPiece; // һpieceblock

	public final int blockNumInLastPiece;

	public final int pieceLen; // peice

	public final int lastPieceLen;

	public final int pieceNum; // peice

	public final long fileLen; // ļ
	
	public final int[] lenList;
	
	public final byte[] infoHash;

	public FileInfo(int blockNum, int pieceLen, int pieceNum, long fileLen, int[] lenList,
			byte[] infoHash) {

		this.lastBlockLen = (int) (fileLen % blockLen);

		this.blockNum = blockNum;
		this.blockNumInPiece = pieceLen / blockLen;
		this.blockNumInLastPiece = blockNum % (pieceLen / blockLen);

		this.pieceLen = pieceLen;
		this.lastPieceLen = (int) (fileLen % pieceLen);
		this.pieceNum = pieceNum;

		this.fileLen = fileLen;
		this.lenList = lenList;

		this.infoHash = infoHash;
	}
}
