package message;

import java.net.InetSocketAddress;

public class BitfieldMsg extends Message {
	
	// Ϣ
	public BitfieldMsg(byte[] context) {
		
		this.msgId = Message.BITFIELD_MSG;
		
		int length = context.length;
		this.msgContext = new byte[5 + length];
		this.msgContext[0] = (byte)((1 + length) >>> 24);
		this.msgContext[1] = (byte)((1 + length) >>> 16);
		this.msgContext[2] = (byte)((1 + length) >>> 8);
		this.msgContext[3] = (byte)((1 + length));
		this.msgContext[4] = (byte)5;
		System.arraycopy(context, 0, this.msgContext, 5, length);
	}
	
	// Ϣ
	public BitfieldMsg(byte[] msgContext, InetSocketAddress address) {
		
		this.msgId = Message.BITFIELD_MSG;
		this.address = address;
		this.msgContext = msgContext;
	}
}
