/**
 * 
 */
package message;

import java.net.InetSocketAddress;

import configuration.*;


/**
 * @author Ф 2007-9-23
 *
 */
public class Handshake extends Message {
	
	public Handshake(byte[] context) {
		
		this.msgId = Message.HANDSHAKE;
		
		byte[] pstr = Config.IDENTIFIER.getBytes();
		this.msgContext = new byte[68];
		this.msgContext[0] = (byte)0X13;
	    System.arraycopy(pstr, 0, this.msgContext, 1, 19);
		System.arraycopy(context, 0, this.msgContext, 28, 40);
	}
	
	public Handshake(byte[] msgContext, InetSocketAddress address) {
		
		this.msgId = Message.HANDSHAKE;
		this.address = address;	
		this.msgContext = msgContext;
	}
}
