package message;

import java.net.InetSocketAddress;

public class PieceMsg extends Message {
	
	public PieceMsg(byte[] context) {
		
		this.msgId = Message.PIECE_MSG;
		int length = context.length;
		
		this.msgContext = new byte[5 + length];
		
		this.msgContext[0] = (byte)((length + 1) >>> 24);
		this.msgContext[1] = (byte)((length + 1) >>> 16);
		this.msgContext[2] = (byte)((length + 1) >>> 8);
		this.msgContext[3] = (byte)((length + 1));
		this.msgContext[4] = (byte)0X07;	
		System.arraycopy(context, 0, this.msgContext, 5, length);
	}
	
	public PieceMsg(byte[] msgContext, InetSocketAddress address) {
		
		this.msgId = Message.PIECE_MSG;
		this.address = address;
		this.msgContext = msgContext;
	}
}
