package message;

import java.net.InetSocketAddress;
import java.util.*;

public class RequestMsg extends Message {
	
	//public boolean isRequested = false;
	
	public long creationTime = System.currentTimeMillis();
	public LinkedList requesterList = new LinkedList();
	
	public RequestMsg(byte[] context) {
		
		this.msgId = Message.REQUEST_MSG;
		
		this.msgContext = new byte[17];
		this.msgContext[3] = (byte)0X0D;
		this.msgContext[4] = (byte)0X06;
		int length = context.length;
		System.arraycopy(context, 0, this.msgContext, 5, length);
	}
	
	public RequestMsg(byte[] msgContext, InetSocketAddress address) {
		
		this.msgId = Message.REQUEST_MSG;
		this.address = address;
		this.msgContext = msgContext;
	}
	
	public final boolean equals(byte[] msgContext) {
		
		for(int i = 5; i < 13; i++) {
			if((this.msgContext[i] ^ msgContext[i]) != 0)
				return false;
		}
		return true;
	}
}
