/**
 * MessageP2PϵͳϢĸ
 * ̳CloneableӿڣʵϢ
 * ̳SerializableӿڣʵͨѶл
 */
package message;

import java.io.Serializable;
import java.net.InetSocketAddress;

public class Message implements Cloneable, Serializable {

	private static final long serialVersionUID = 3L;
	
	public static final byte CHOKE_MSG = (byte)0X00;
	public static final byte UNCHOKE_MSG = (byte)0X01;
	public static final byte INTERESTED_MSG = (byte)0X02;
	public static final byte NOT_INTERESTED_MSG = (byte)0X03;
	public static final byte HAVE_MSG = (byte)0X04;
	public static final byte BITFIELD_MSG = (byte)0X05;
	public static final byte REQUEST_MSG = (byte)0X06;
	public static final byte PIECE_MSG = (byte)0X07;
	public static final byte CANCEL_MSG = (byte)0X08;
	public static final byte PORT_MSG = (byte)0X09;
	public static final byte KEEEP_ALIVE_MSG = (byte)0X0A;
	public static final byte HANDSHAKE = (byte)0X0B;
	public static final byte UNDEFINED_MSG = (byte)0XFF;
	
	public InetSocketAddress address = null;
	public byte msgId = Message.UNDEFINED_MSG;
	
	public byte[] msgContext = null;//Ϣ
	
	public Message() {
		super();
	}
	
	public Message(byte msgId) {
		this.msgId = msgId;
	}
	
	public Message(byte msgId, byte[] msgContext) {
		this.msgId = msgId;
		this.msgContext = msgContext;
	}
	
	public Object clone(){
		Message msg = null;
		try {
			msg = (Message)super.clone();
		} catch (CloneNotSupportedException e) {
			e.printStackTrace();
		}
		return msg;
	}
}

